package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag412;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT412AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag20Creator extends AbsTagCreate {
    private MT412AbsCreator mt412AbsCreator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt412AbsCreator= (MT412AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt412AbsCreator.getRelatedReference();
        mt412AbsCreator.set("20", tag20Value);
    }
}
